Linuxdoc Linux Questions
Click here to ask our community of linux experts!
Custom Search

2.6. NVIDIA drivers (Mesa libGL replacement)

Note that XFree86 4.0.1 and later is required with driver 0.9-6 and later. If you have XFree86 4.0.0, then you'll have to download the older 0.9-4 version. You should try to use the lastest XFree86 and NVIDIA drivers.

Download the drivers at: http://www.nvidia.com/

Tip

See the updated FAQ at Nvidia.com while you are downloading. It has important installation information not in this HOWTO.

The NVIDIA drivers provide a kernel driver: /lib/modules/kernel.version.number/video/NVdriver and libGL.so and libGLcore.so files that go into /usr/lib/ to replace and Mesa ones that might be in there. libGL.so is OpenGL. These files are Nvidia's own hardware accelerated OpenGL implementation.